Index: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/preferences/TreeSearchPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/preferences/TreeSearchPreferences.java	(revision 3877)
+++ TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/preferences/TreeSearchPreferences.java	(revision 3878)
@@ -11,17 +11,17 @@
  */
 public class TreeSearchPreferences extends TXMPreferences {
 	
-	public static final String VERSION = "version";
+	public static final String VERSION = "version"; //$NON-NLS-1$
 	
-	public static final String DEFAULT_VISUALISATION = "default_representation";
+	public static final String DEFAULT_VISUALISATION = "default_representation"; //$NON-NLS-1$
 	
-	public static final String TFEATURE = "t";
+	public static final String TFEATURE = "t"; //$NON-NLS-1$
 	
-	public static final String NTFEATURE = "nt";
+	public static final String NTFEATURE = "nt"; //$NON-NLS-1$
 
-	public static final String VISUALISATION = "visualisation";
+	public static final String VISUALISATION = "visualisation"; //$NON-NLS-1$
 
-	public static String BACKTOTREE_POSITION = "linked_editor_position";
+	public static String BACKTOTREE_POSITION = "linked_editor_position"; //$NON-NLS-1$
 	
 	/**
 	 * Gets the instance.
@@ -40,10 +40,10 @@
 		super.initializeDefaultPreferences();
 		
 		Preferences preferences = this.getDefaultPreferencesNode();
-		preferences.put(DEFAULT_VISUALISATION, "TIGER");
-		preferences.put(TFEATURE, "word");
-		preferences.put(NTFEATURE, "cat");
-		preferences.put(VISUALISATION, ""); // no supplementary visualisation
+		preferences.put(DEFAULT_VISUALISATION, "TIGER"); //$NON-NLS-1$
+		preferences.put(TFEATURE, "word"); //$NON-NLS-1$
+		preferences.put(NTFEATURE, "cat"); //$NON-NLS-1$
+		preferences.put(VISUALISATION, ""); // no supplementary visualisation //$NON-NLS-1$
 		preferences.putInt(BACKTOTREE_POSITION, 0);
 	}
 }
Index: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/messages.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/messages.properties	(revision 3878)
@@ -0,0 +1,4 @@
+noMatchingSentence=No matching sentence.
+noQuery=no query
+P0matchingSentenceP1=\ matching sentence
+renderingP0SyntacticTree=Rendering {0} Syntactic Tree...

Property changes on: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3877)
+++ TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3878)
@@ -83,7 +83,7 @@
 		if (pQuery != null) {
 			return pQuery.toString();
 		}
-		return "no query";
+		return Messages.noQuery;
 	}
 
 	@Override
@@ -92,7 +92,7 @@
 		if (pQuery != null) {
 			return pQuery.toString();
 		}
-		return "no query";
+		return Messages.noQuery;
 	}
 
 	public abstract int getNMatchingSentences();
@@ -113,12 +113,12 @@
 		if (pQuery != null) {
 			return pQuery.toString();
 		}
-		return "no query";
+		return Messages.noQuery;
 	}
 
 	public String getComputingStartMessage() {
 		
-		return NLS.bind("Rendering {0} Syntactic Tree...", this.getSelector().getEngine());
+		return NLS.bind(Messages.renderingP0SyntacticTree, this.getSelector().getEngine());
 	}
 
 	public String getComputingDoneMessage() {
@@ -126,9 +126,9 @@
 		int n = this.getNMatchingSentences();
 		
 		if (n > 0) {
-			return ""+n+" matching sentence"+(n > 1?"s":"");
+			return ""+n+Messages.P0matchingSentenceP1+(n > 1?"s":""); //$NON-NLS-1$ //$NON-NLS-3$ //$NON-NLS-4$
 		} else {
-			return "No matching sentence.";
+			return Messages.noMatchingSentence;
 		}
 	}
 
@@ -145,14 +145,14 @@
 		String values = getStringParameterValue(TreeSearchPreferences.TFEATURE);
 
 		if (values != null && !values.isEmpty() && values.length() > 0) {
-			this.T.addAll(Arrays.asList(values.split(",")));
+			this.T.addAll(Arrays.asList(values.split(","))); //$NON-NLS-1$
 		}
 
 		this.NT = new ArrayList<>();
 		values = getStringParameterValue(TreeSearchPreferences.TFEATURE);
 
 		if (values != null && !values.isEmpty() && values.length() > 0) {
-			this.NT.addAll(Arrays.asList(values.split(",")));
+			this.NT.addAll(Arrays.asList(values.split(","))); //$NON-NLS-1$
 		}
 
 		String squery = getStringParameterValue(TreeSearchPreferences.QUERY);
@@ -170,9 +170,9 @@
 			this.saveParameter(TreeSearchPreferences.QUERY, IQuery.toPrefString(pQuery));
 		}
 
-		this.saveParameter(TreeSearchPreferences.TFEATURE, StringUtils.join(this.T, ","));
+		this.saveParameter(TreeSearchPreferences.TFEATURE, StringUtils.join(this.T, ",")); //$NON-NLS-1$
 
-		this.saveParameter(TreeSearchPreferences.NTFEATURE, StringUtils.join(this.NT, ","));
+		this.saveParameter(TreeSearchPreferences.NTFEATURE, StringUtils.join(this.NT, ",")); //$NON-NLS-1$
 
 		return true;
 	}
Index: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/Messages.java	(revision 3878)
@@ -0,0 +1,22 @@
+package org.txm.treesearch.function;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	
+	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
+	
+	public static String noMatchingSentence;
+	
+	public static String noQuery;
+	
+	public static String P0matchingSentenceP1;
+	
+	public static String renderingP0SyntacticTree;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+	
+	private Messages() {}
+}

Property changes on: TXM/trunk/bundles/org.txm.treesearch.core/src/org/txm/treesearch/function/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

